For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
          • V2
              • GETList Customers
              • POSTCreate Customer
              • DELDelete Customers
              • GETGet Customer
              • PUTUpdate Customer
              • DELDelete Customer
              • GETGet Count of Customers
                • GETList Customer Groups
                • POSTCreate Customer Group
                • GETGet Customer Group
                • PUTUpdate Customer Group
                • DELDelete Customer Group
                • GETGet Count of Customer Groups
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV2Customer Groups

Create Customer Group

POST
https://api.bigcommerce.com/stores/:store_hash/v2/customer_groups
POST
/stores/:store_hash/v2/customer_groups
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v2/customer_groups \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "status": 207,
3 "message": "The customer group was created, but the sitewide discount update failed. You may retry the request."
4}
Creates a *Customer Group*. **Required Fields** * name **Note:** The default rate limit for this endpoint is 40 concurrent requests.
Was this page helpful?
Previous

List Customer Groups

Next

Get Customer Group

Built with

Creates a Customer Group.

Required Fields

  • name

Note: The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namestringOptional
Name of the group.
is_defaultbooleanOptional
Determines whether new customers are assigned to this group by default.
category_accessobjectOptional
discount_ruleslist of objectsOptional
is_group_for_guestsbooleanOptional
Describes whether the group is for guests. There can only be one customer group for guests at a time.

Response

idinteger
ID of the customer group.
namestring
Name of the group.
is_defaultboolean
Determines whether new customers are assigned to this group by default.
category_accessobject
discount_ruleslist of objects
date_createdstring
Date on which the customer group was created.
date_modifiedstring
Date on which the customer group was last modified.
is_group_for_guestsboolean
Describes whether the group is for guests. There can only be one customer group for guests at a time.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.